summaryrefslogtreecommitdiffstats
path: root/package/base-files/files/bin
diff options
context:
space:
mode:
authormbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-05-10 19:41:07 +0000
committermbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-05-10 19:41:07 +0000
commitdb92693c28f9fbdca860af92fdef50740c5ad42a (patch)
treeff1b57002c63dd4cd4858141085d9a832ed3ded7 /package/base-files/files/bin
parent80c4c68cdd7effe154f9156359aa79e1e9600311 (diff)
tweaks for 2M devices
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@7179 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files/bin')
-rwxr-xr-xpackage/base-files/files/bin/firstboot3
1 files changed, 2 insertions, 1 deletions
diff --git a/package/base-files/files/bin/firstboot b/package/base-files/files/bin/firstboot
index 267e6732d..5c11623b4 100755
--- a/package/base-files/files/bin/firstboot
+++ b/package/base-files/files/bin/firstboot
@@ -79,11 +79,12 @@ ramoverlay() {
}
[ "$1" = "switch2jffs" ] && {
+ mount "$mtdpart" /rom/jffs -t jffs2 || exit
+
# try to avoid fs changing while copying
mount -o remount,ro none / 2>&-
# copy ramoverlay to jffs2
- mount "$mtdpart" /rom/jffs -t jffs2
echo -n "copying files ... "
cp -a /tmp/root/* /rom/jffs 2>&-
echo "done"